created: 1780306728954
modified: 1780306728954
description: Mappings for Scout driver for Circutor cem_d21x_d31x
id: '13371dd6-f533-41d4-a648-746986d00b36'
name: CEM_D21x_D31x_Scout
manufacturer: Circutor
model: cem_d21x_d31x
deviceResources:
- description: L1_VOLTAGE
  name: V_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewUnit: false
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 372
    ValueType: INT32
- description: L2_VOLTAGE
  name: V_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewUnit: false
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 374
    ValueType: INT32
- description: L3_VOLTAGE
  name: V_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewUnit: false
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 376
    ValueType: INT32
- description: L1L2_VOLTAGE
  name: V_AB
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewUnit: false
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 378
    ValueType: INT32
- description: L2L3_VOLTAGE
  name: V_BC
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewUnit: false
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 380
    ValueType: INT32
- description: L3L1_VOLTAGE
  name: V_CA
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewUnit: false
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 382
    ValueType: INT32
- description: L1_CURRENT
  name: I_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.001'
      reviewUnit: false
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 388
    ValueType: INT32
- description: L2_CURRENT
  name: I_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.001'
      reviewUnit: false
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 390
    ValueType: INT32
- description: L3_CURRENT
  name: I_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.001'
      reviewUnit: false
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 392
    ValueType: INT32
- description: TOTAL_CURRENT
  name: I_TOT
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.001'
      reviewUnit: false
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 394
    ValueType: INT32
- description: L1_FREQUENCY
  name: FREQ
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewUnit: false
    units:
      type: String
      defaultValue: Hz
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 428
    ValueType: INT32
- description: L1_POWER_FACTOR
  name: PF_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewUnit: true
    units:
      type: String
      defaultValue: NA
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 396
    ValueType: INT32
- description: L2_POWER_FACTOR
  name: PF_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewUnit: true
    units:
      type: String
      defaultValue: NA
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 398
    ValueType: INT32
- description: L3_POWER_FACTOR
  name: PF_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewUnit: true
    units:
      type: String
      defaultValue: NA
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 400
    ValueType: INT32
- description: TOTAL_POWER_FACTOR
  name: PF_TOT
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewUnit: true
    units:
      type: String
      defaultValue: NA
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 402
    ValueType: INT32
- description: L1_ACTIVE_POWER
  name: P_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 404
    ValueType: INT32
- description: L2_ACTIVE_POWER
  name: P_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 406
    ValueType: INT32
- description: L3_ACTIVE_POWER
  name: P_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 408
    ValueType: INT32
- description: TOTAL_ACTIVE_POWER
  name: P_TOT
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 410
    ValueType: INT32
- description: L1_REACTIVE_POWER
  name: Q_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: var
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 412
    ValueType: INT32
- description: L2_REACTIVE_POWER
  name: Q_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: var
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 414
    ValueType: INT32
- description: L3_REACTIVE_POWER
  name: Q_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: var
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 416
    ValueType: INT32
- description: TOTAL_REACTIVE_POWER
  name: Q_TOT
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: var
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 418
    ValueType: INT32
- description: L1_APPARENT_POWER
  name: S_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: VA
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 420
    ValueType: INT32
- description: L2_APPARENT_POWER
  name: S_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: VA
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 422
    ValueType: INT32
- description: L3_APPARENT_POWER
  name: S_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: VA
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 424
    ValueType: INT32
- description: TOTAL_APPARENT_POWER
  name: S_TOT
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: VA
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 426
    ValueType: INT32
- description: OPERATING_HOURS
  name: OPERATING_HOURS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.001'
      reviewUnit: false
    units:
      type: String
      defaultValue: h
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 30
    ValueType: INT32
- description: ACTIVE_ENERGY_IMP
  name: P_ENERGY_CON_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: Wh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 0
    ValueType: INT32
- description: ACTIVE_ENERGY_EXP
  name: P_ENERGY_GEN_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: Wh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 2
    ValueType: INT32
- description: REACTIVE_ENERGY_Q1
  name: Q_ENERGY_Q1_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: VArh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 4
    ValueType: INT32
- description: REACTIVE_ENERGY_Q2
  name: Q_ENERGY_Q2_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: VArh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 6
    ValueType: INT32
- description: REACTIVE_ENERGY_Q3
  name: Q_ENERGY_Q3_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: VArh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 8
    ValueType: INT32
- description: REACTIVE_ENERGY_Q4
  name: Q_ENERGY_Q4_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewUnit: false
    units:
      type: String
      defaultValue: VArh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 10
    ValueType: INT32
resources:
- name: MeasuresTot
  get:
  - object: I_TOT
    parameter: I_TOT
  - object: PF_TOT
    parameter: PF_TOT
  - object: P_TOT
    parameter: P_TOT
  - object: Q_TOT
    parameter: Q_TOT
  - object: S_TOT
    parameter: S_TOT
  - object: P_ENERGY_CON_TOT_ABS
    parameter: P_ENERGY_CON_TOT_ABS
  - object: P_ENERGY_GEN_TOT_ABS
    parameter: P_ENERGY_GEN_TOT_ABS
  - object: Q_ENERGY_Q1_TOT_ABS
    parameter: Q_ENERGY_Q1_TOT_ABS
  - object: Q_ENERGY_Q2_TOT_ABS
    parameter: Q_ENERGY_Q2_TOT_ABS
  - object: Q_ENERGY_Q3_TOT_ABS
    parameter: Q_ENERGY_Q3_TOT_ABS
  - object: Q_ENERGY_Q4_TOT_ABS
    parameter: Q_ENERGY_Q4_TOT_ABS
- name: MeasuresL1
  get:
  - object: V_AN
    parameter: V_AN
  - object: I_AN
    parameter: I_AN
  - object: PF_AN
    parameter: PF_AN
  - object: P_AN
    parameter: P_AN
  - object: Q_AN
    parameter: Q_AN
  - object: S_AN
    parameter: S_AN
- name: MeasuresL2
  get:
  - object: V_BN
    parameter: V_BN
  - object: I_BN
    parameter: I_BN
  - object: PF_BN
    parameter: PF_BN
  - object: P_BN
    parameter: P_BN
  - object: Q_BN
    parameter: Q_BN
  - object: S_BN
    parameter: S_BN
- name: MeasuresL3
  get:
  - object: V_CN
    parameter: V_CN
  - object: I_CN
    parameter: I_CN
  - object: PF_CN
    parameter: PF_CN
  - object: P_CN
    parameter: P_CN
  - object: Q_CN
    parameter: Q_CN
  - object: S_CN
    parameter: S_CN
- name: Measures
  get:
  - object: V_AN
    parameter: V_AN
  - object: V_BN
    parameter: V_BN
  - object: V_CN
    parameter: V_CN
  - object: V_AB
    parameter: V_AB
  - object: V_BC
    parameter: V_BC
  - object: V_CA
    parameter: V_CA
  - object: I_AN
    parameter: I_AN
  - object: I_BN
    parameter: I_BN
  - object: I_CN
    parameter: I_CN
  - object: I_TOT
    parameter: I_TOT
  - object: FREQ
    parameter: FREQ
  - object: PF_AN
    parameter: PF_AN
  - object: PF_BN
    parameter: PF_BN
  - object: PF_CN
    parameter: PF_CN
  - object: PF_TOT
    parameter: PF_TOT
  - object: P_AN
    parameter: P_AN
  - object: P_BN
    parameter: P_BN
  - object: P_CN
    parameter: P_CN
  - object: P_TOT
    parameter: P_TOT
  - object: Q_AN
    parameter: Q_AN
  - object: Q_BN
    parameter: Q_BN
  - object: Q_CN
    parameter: Q_CN
  - object: Q_TOT
    parameter: Q_TOT
  - object: S_AN
    parameter: S_AN
  - object: S_BN
    parameter: S_BN
  - object: S_CN
    parameter: S_CN
  - object: S_TOT
    parameter: S_TOT
  - object: OPERATING_HOURS
    parameter: OPERATING_HOURS
  - object: P_ENERGY_CON_TOT_ABS
    parameter: P_ENERGY_CON_TOT_ABS
  - object: P_ENERGY_GEN_TOT_ABS
    parameter: P_ENERGY_GEN_TOT_ABS
  - object: Q_ENERGY_Q1_TOT_ABS
    parameter: Q_ENERGY_Q1_TOT_ABS
  - object: Q_ENERGY_Q2_TOT_ABS
    parameter: Q_ENERGY_Q2_TOT_ABS
  - object: Q_ENERGY_Q3_TOT_ABS
    parameter: Q_ENERGY_Q3_TOT_ABS
  - object: Q_ENERGY_Q4_TOT_ABS
    parameter: Q_ENERGY_Q4_TOT_ABS
- name: Energies
  get:
  - object: P_ENERGY_CON_TOT_ABS
    parameter: P_ENERGY_CON_TOT_ABS
  - object: P_ENERGY_GEN_TOT_ABS
    parameter: P_ENERGY_GEN_TOT_ABS
  - object: Q_ENERGY_Q1_TOT_ABS
    parameter: Q_ENERGY_Q1_TOT_ABS
  - object: Q_ENERGY_Q2_TOT_ABS
    parameter: Q_ENERGY_Q2_TOT_ABS
  - object: Q_ENERGY_Q3_TOT_ABS
    parameter: Q_ENERGY_Q3_TOT_ABS
  - object: Q_ENERGY_Q4_TOT_ABS
    parameter: Q_ENERGY_Q4_TOT_ABS
